## r-cran-leidenbase 0.1.14

=== DESCRIPTION ===
Package: leidenbase
Type: Package
Title: R and C/C++ Wrappers to Run the Leiden find_partition() Function
Authors@R: c( person('Brent', 'Ewing', email = 'bge@uw.edu', role = c('aut', 'cre')),
              person('Vincent', 'Traag', role = 'ctb'),
              person('Gábor', 'Csárdi', role = 'ctb'),
              person('Tamás', 'Nepusz', role = 'ctb'),
              person('Szabolcs', 'Horvat', role = 'ctb'),
              person('Fabio', 'Zanini', role = 'ctb'))
Version: 0.1.14
Description: An R to C/C++ interface that runs the Leiden community
    detection algorithm to find a basic partition (). It runs the
    equivalent of the 'leidenalg' find_partition() function, which is
    given in the 'leidenalg' distribution file
    'leiden/src/functions.py'. This package includes the
    required source code files from the official 'leidenalg'
    distribution and functions from the R 'igraph'
    package.  The 'leidenalg' distribution is available from
    <https://github.com/vtraag/leidenalg/>
    and the R 'igraph' package is available from
    <https://igraph.org/r/>.
    The Leiden algorithm is described in the article by
    Traag et al. (2019) <doi:10.1038/s41598-019-41695-z>.
Imports: igraph (>= 0.8.2)
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.1.2
Depends: R (>= 3.5.0)
Suggests: rmarkdown, knitr, testthat (>= 3.1.0)
URL: https://github.com/cole-trapnell-lab/leidenbase
BugReports: https://github.com/cole-trapnell-lab/leidenbase/issues
NeedsCompilation: yes
Maintainer: Brent Ewing <bge@uw.edu>
VignetteBuilder: knitr
Packaged: 2022-12-14 16:45:59 UTC; brent
Author: Brent Ewing [aut, cre],
  Vincent Traag [ctb],
  Gábor Csárdi [ctb],
  Tamás Nepusz [ctb],
  Szabolcs Horvat [ctb],
  Fabio Zanini [ctb]
Repository: CRAN
Date/Publication: 2022-12-14 17:20:02 UTC

## r-cran-leidenbase 0.1.11

=== debian/changelog ===
r-cran-leidenbase (0.1.11-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.1 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jul 2022 22:16:11 +0200

r-cran-leidenbase (0.1.11-1) unstable; urgency=medium

  * Initial release (closes: #1010997)

 -- Andreas Tille <tille@debian.org>  Sat, 14 May 2022 23:51:07 +0200

=== debian/control ===
Source: r-cran-leidenbase
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-igraph
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-leidenbase
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-leidenbase.git
Homepage: https://cran.r-project.org/package=leidenbase
Rules-Requires-Root: no

Package: r-cran-leidenbase
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R and C/C++ Wrappers to Run the Leiden find_partition() Function
 An R to C/C++ interface that runs the Leiden community
 detection algorithm to find a basic partition (). It runs the
 equivalent of the 'leidenalg' find_partition() function, which is
 given in the 'leidenalg' distribution file
 'leiden/src/functions.py'. This package includes the
 required source code files from the official 'leidenalg'
 distribution and functions from the R 'igraph' package.

## r-cran-leidenbase 0.1.14

=== debian/changelog ===
r-cran-leidenbase (0.1.14-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix autopkgtests on i386

 -- Nilesh Patra <nilesh@debian.org>  Fri, 13 Jan 2023 22:02:41 +0530

r-cran-leidenbase (0.1.14-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Upstream has applied patches

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 15:00:02 +0100

r-cran-leidenbase (0.1.12-2) unstable; urgency=medium

  * Relax tolerance in tests
    Closes: #1021676

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 10:14:44 +0100

r-cran-leidenbase (0.1.12-1) unstable; urgency=medium

  * New upstream version
  * lintian-overrides (See lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 09:41:20 +0200

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/leidenbase_([-\d.]*)\.tar\.gz

## r-cran-leidenbase 0.1.18

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
               person('Tamás', 'Nepusz', role = 'ctb'),
               person('Szabolcs', 'Horvat', role = 'ctb'),
               person('Fabio', 'Zanini', role = 'ctb'))
-Version: 0.1.14
+Version: 0.1.18
 Description: An R to C/C++ interface that runs the Leiden community
     detection algorithm to find a basic partition (). It runs the
     equivalent of the 'leidenalg' find_partition() function, which is
@@ -32,7 +32,7 @@
 NeedsCompilation: yes
 Maintainer: Brent Ewing <bge@uw.edu>
 VignetteBuilder: knitr
-Packaged: 2022-12-14 16:45:59 UTC; brent
+Packaged: 2023-04-14 18:44:49 UTC; brent
 Author: Brent Ewing [aut, cre],
   Vincent Traag [ctb],
   Gábor Csárdi [ctb],
@@ -40,4 +40,4 @@
   Szabolcs Horvat [ctb],
   Fabio Zanini [ctb]
 Repository: CRAN
-Date/Publication: 2022-12-14 17:20:02 UTC
+Date/Publication: 2023-04-15 09:20:02 UTC

=== debian/changelog ===
r-cran-leidenbase (0.1.18-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 23 Jun 2023 17:09:58 +0200

## r-cran-leidenbase 0.1.25

=== debian/changelog ===
r-cran-leidenbase (0.1.25-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 18 Aug 2023 23:13:53 +0200

## r-cran-leidenbase 0.1.27

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
               person('Tamás', 'Nepusz', role = 'ctb'),
               person('Szabolcs', 'Horvat', role = 'ctb'),
               person('Fabio', 'Zanini', role = 'ctb'))
-Version: 0.1.18
+Version: 0.1.27
 Description: An R to C/C++ interface that runs the Leiden community
     detection algorithm to find a basic partition (). It runs the
     equivalent of the 'leidenalg' find_partition() function, which is
@@ -21,10 +21,13 @@
     <https://igraph.org/r/>.
     The Leiden algorithm is described in the article by
     Traag et al. (2019) <doi:10.1038/s41598-019-41695-z>.
-Imports: igraph (>= 0.8.2)
+    Leidenbase includes code from the packages:
+       igraph version 0.9.8 with license GPL (>= 2),
+       leidenalg version 0.8.10 with license GPL 3.
+Imports: igraph (>= 0.9.0)
 License: GPL-3
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 Depends: R (>= 3.5.0)
 Suggests: rmarkdown, knitr, testthat (>= 3.1.0)
 URL: https://github.com/cole-trapnell-lab/leidenbase
@@ -32,7 +35,7 @@
 NeedsCompilation: yes
 Maintainer: Brent Ewing <bge@uw.edu>
 VignetteBuilder: knitr
-Packaged: 2023-04-14 18:44:49 UTC; brent
+Packaged: 2023-11-30 20:52:53 UTC; brent
 Author: Brent Ewing [aut, cre],
   Vincent Traag [ctb],
   Gábor Csárdi [ctb],
@@ -40,4 +43,4 @@
   Szabolcs Horvat [ctb],
   Fabio Zanini [ctb]
 Repository: CRAN
-Date/Publication: 2023-04-15 09:20:02 UTC
+Date/Publication: 2023-12-01 09:50:05 UTC

=== debian/changelog ===
r-cran-leidenbase (0.1.27-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 22:07:09 +0100

r-cran-leidenbase (0.1.25-2) unstable; urgency=medium

  * Fix clean target
    Closes: #1048729
  * Update d/copyright

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2023 14:18:36 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-igraph
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-leidenbase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-leidenbase.git
 Homepage: https://cran.r-project.org/package=leidenbase

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rmarkdown,
        r-cran-knitr,
        r-cran-testthat (>= 3.1.0)
Restrictions: allow-stderr

## r-cran-leidenbase 0.1.31

=== debian/changelog ===
r-cran-leidenbase (0.1.31-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 14:47:56 +0900

## r-cran-leidenbase 0.1.32

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
               person('Tamás', 'Nepusz', role = 'ctb'),
               person('Szabolcs', 'Horvat', role = 'ctb'),
               person('Fabio', 'Zanini', role = 'ctb'))
-Version: 0.1.27
+Version: 0.1.32
 Description: An R to C/C++ interface that runs the Leiden community
     detection algorithm to find a basic partition (). It runs the
     equivalent of the 'leidenalg' find_partition() function, which is
@@ -27,15 +27,15 @@
 Imports: igraph (>= 0.9.0)
 License: GPL-3
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Depends: R (>= 3.5.0)
-Suggests: rmarkdown, knitr, testthat (>= 3.1.0)
+Suggests: rmarkdown, knitr, testthat (>= 3.1.0), pandoc
 URL: https://github.com/cole-trapnell-lab/leidenbase
 BugReports: https://github.com/cole-trapnell-lab/leidenbase/issues
 NeedsCompilation: yes
 Maintainer: Brent Ewing <bge@uw.edu>
 VignetteBuilder: knitr
-Packaged: 2023-11-30 20:52:53 UTC; brent
+Packaged: 2025-02-06 00:19:34 UTC; brent
 Author: Brent Ewing [aut, cre],
   Vincent Traag [ctb],
   Gábor Csárdi [ctb],
@@ -43,4 +43,4 @@
   Szabolcs Horvat [ctb],
   Fabio Zanini [ctb]
 Repository: CRAN
-Date/Publication: 2023-12-01 09:50:05 UTC
+Date/Publication: 2025-02-06 01:10:02 UTC

=== tests/cpp_tests/Makefile ===
CXX= c++
CXXFLAGS= -g -I/usr/local/include -I. -I/usr/local/include/igraph -std=c++11
CXXLIB= -L/usr/local/lib -ligraph -lm

OBJ01= leiden.o leidenFindPartition.o \
CPMVertexPartition.o \
LinearResolutionParameterVertexPartition.o \
ModularityVertexPartition.o \
MutableVertexPartition.o \
RBConfigurationVertexPartition.o \
ResolutionParameterVertexPartition.o \
RBERVertexPartition.o \
SignificanceVertexPartition.o \
SurpriseVertexPartition.o \
GraphHelper.o Optimiser.o

all: leiden

leiden: $(OBJ01)
	$(CXX) $(CXXFLAGS) -o $@ $(OBJ01) $(CXXLIB)

clean:
	rm -f $(OBJ01) leiden

=== debian/changelog ===
r-cran-leidenbase (0.1.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Feb 2025 09:11:35 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-igraph
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-leidenbase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-leidenbase.git
 Homepage: https://cran.r-project.org/package=leidenbase

## r-cran-leidenbase 0.1.36

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
               person('Tamás', 'Nepusz', role = 'ctb'),
               person('Szabolcs', 'Horvat', role = 'ctb'),
               person('Fabio', 'Zanini', role = 'ctb'))
-Version: 0.1.32
+Version: 0.1.36
 Description: An R to C/C++ interface that runs the Leiden community
     detection algorithm to find a basic partition (). It runs the
     equivalent of the 'leidenalg' find_partition() function, which is
@@ -35,7 +35,7 @@
 NeedsCompilation: yes
 Maintainer: Brent Ewing <bge@uw.edu>
 VignetteBuilder: knitr
-Packaged: 2025-02-06 00:19:34 UTC; brent
+Packaged: 2025-12-15 23:10:27 UTC; brent
 Author: Brent Ewing [aut, cre],
   Vincent Traag [ctb],
   Gábor Csárdi [ctb],
@@ -43,4 +43,4 @@
   Szabolcs Horvat [ctb],
   Fabio Zanini [ctb]
 Repository: CRAN
-Date/Publication: 2025-02-06 01:10:02 UTC
+Date/Publication: 2025-12-16 03:30:02 UTC

=== debian/changelog ===
r-cran-leidenbase (0.1.36-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 15 Jan 2026 14:53:34 +0900

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-igraph
-Standards-Version: 4.7.0
+               r-cran-igraph,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-leidenbase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-leidenbase.git
 Homepage: https://cran.r-project.org/package=leidenbase
